gnutls_x509_crt_import_pkcs11(3)

NAME
gnutls_x509_crt_import_pkcs11 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_x509_crt_import_pkcs11(gnutls_x509_crt_t crt, gnutls_pkcs11_obj_t pkcs11_crt);

ARGUMENTS

gnutls_x509_crt_t crt
    A certificate of type gnutls_x509_crt_t

gnutls_pkcs11_obj_t pkcs11_crt
    A PKCS 11 object that contains a certificate

DESCRIPTION
This function will import a PKCS 11 certificate to a gnutls_x509_crt_t structure.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.